modules: correct dependencies / version declarations
authorSimon Schubert <corecode@dragonflybsd.org>
Thu, 3 Sep 2009 22:47:11 +0000 (00:47 +0200)
committerSimon Schubert <corecode@dragonflybsd.org>
Thu, 3 Sep 2009 23:17:50 +0000 (01:17 +0200)
sys/dev/drm/drm_drv.c
sys/dev/netif/mii_layer/mii.c

index fa2166b..1220b14 100644 (file)
@@ -55,7 +55,6 @@ static drm_pci_id_list_t *drm_find_description(int vendor, int device,
 MODULE_VERSION(drm, 1);
 MODULE_DEPEND(drm, agp, 1, 1, 1);
 MODULE_DEPEND(drm, pci, 1, 1, 1);
-MODULE_DEPEND(drm, mem, 1, 1, 1);
 
 static drm_ioctl_desc_t                  drm_ioctls[256] = {
        DRM_IOCTL_DEF(DRM_IOCTL_VERSION, drm_version, 0),
index 6bef282..9555ca7 100644 (file)
@@ -329,3 +329,4 @@ mii_pollstat(struct mii_data *mii)
 static moduledata_t miibus_mod = { "miibus" };
 
 DECLARE_MODULE(miibus, miibus_mod, SI_SUB_DRIVERS, SI_ORDER_MIDDLE);
+MODULE_VERSION(miibus, 1);